# std::chrono::time_point<Clock,Duration>::operator+=, operator-=

From cppreference.com
< cpp‎ | chrono‎ | time point

time_point& operator+=( const duration& d ); | (1) | (since C++11) (constexpr since C++17)
time_point& operator-=( const duration& d ); | (2) | (since C++11) (constexpr since C++17)

Modifies the time point by the given duration.

1) Applies the offset d to `pt`. Effectively, d is added to the internally stored duration `d_` as d_ += d.
2) Applies the offset d to `pt` in negative direction. Effectively, d is subtracted from internally stored duration `d_` as d_ -= d.

### Parameters

d | - | a time offset to apply

### Return value

*this

### Exceptions

May throw implementation-defined exceptions.

### Example

| This section is incomplete Reason: no example

### See also

operator+operator- (C++11) | performs add and subtract operations involving a time point (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/time_point/operator_arith&oldid=161650"